org.apache.synapse.commons.throttle.core

## Class ThrottleUtil

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.ThrottleUtil

-     public class ThrottleUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `THROTTLING_CACHE`
    `static java.lang.String` | `THROTTLING_CACHE_MANAGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrottleUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.cache.Cache<java.lang.String,CallerContext>` | `getThrottleCache()`
    `static ThrottleProperties` | `loadThrottlePropertiesFromConfigurations()` This method used to set throttle properties loaded from throttle.properties file in configuration folder

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### THROTTLING_CACHE_MANAGER

          public static final java.lang.String THROTTLING_CACHE_MANAGER

      See Also:
        Constant Field Values

    - #### THROTTLING_CACHE

          public static final java.lang.String THROTTLING_CACHE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThrottleUtil

          public ThrottleUtil()

  - ### Method Detail

    - #### loadThrottlePropertiesFromConfigurations

          public static ThrottleProperties loadThrottlePropertiesFromConfigurations()

      This method used to set throttle properties loaded from throttle.properties file in configuration folder
      Returns:
        properties of throttle properties

    - #### getThrottleCache

          public static javax.cache.Cache<java.lang.String,CallerContext> getThrottleCache()

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.